//
// C++ Interface: cpipe
//
// Description: 
//
//
// Author: Jiří Nymš <jirka@nyms.cz>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef cpipe_h_40fbdfd2ac972a6f8523ba0dbfb592f8aad0a342
#define cpipe_h_40fbdfd2ac972a6f8523ba0dbfb592f8aad0a342
#include <fcntl.h>
#include <unistd.h>

#define PIPE_FILE ".batmonitord_pipe"
#define MAX_BUF_SIZE 255

class CPipe{
  int pipe, flag;
  char buf[MAX_BUF_SIZE];
  const char* pname;
  public:
	CPipe(const char* pipename, int flags=O_RDONLY|O_NONBLOCK);
	~CPipe();
	void reopen();
	const char* pread();
	bool is_open() const;
};
#endif