//
// C++ Implementation: cpipe
//
// Description: 
//
//
// Author: Jiří Nymš <jirka@nyms.cz>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "cpipe.h"
using namespace std;
CPipe::CPipe(const char* pipename, int flags){
  flag=flags;
  pipe=open(pipename, flags);
  pname=pipename;
}

CPipe::~CPipe(){
  close(pipe);
}

const char* CPipe::pread(){
    int numread;
    numread = read(pipe, buf, MAX_BUF_SIZE);
    buf[numread] = 0;
	return buf;
}

bool CPipe::is_open() const{
  if (pipe<0) return false;
  return true;
}

void CPipe::reopen(){
  pipe=open(pname, flag);
}